net.minecraft.stats

## Class Achievement

- java.lang.Object
- - net.minecraft.stats.StatBase
  - - net.minecraft.stats.Achievement

-     public class Achievement
      extends StatBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `displayColumn`
    `int` | `displayRow`
    `Achievement` | `parentAchievement`
    `ItemStack` | `theItemStack`

    - ### Fields inherited from class net.minecraft.stats.StatBase

      `distanceStatType, field_111202_k, isIndependent, simpleStatType, statId, timeStatType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Achievement(java.lang.String p_i45301_1_, java.lang.String p_i45301_2_, int p_i45301_3_, int p_i45301_4_, Block p_i45301_5_, Achievement p_i45301_6_)`
    `Achievement(java.lang.String p_i45300_1_, java.lang.String p_i45300_2_, int p_i45300_3_, int p_i45300_4_, Item p_i45300_5_, Achievement p_i45300_6_)`
    `Achievement(java.lang.String p_i45302_1_, java.lang.String p_i45302_2_, int p_i45302_3_, int p_i45302_4_, ItemStack p_i45302_5_, Achievement p_i45302_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IChatComponent` | `func_150951_e()`
    `Achievement` | `func_150953_b(java.lang.Class p_150958_1_)`
    `java.lang.String` | `getDescription()`
    `boolean` | `getSpecial()`
    `Achievement` | `initIndependentStat()`
    `boolean` | `isAchievement()`
    `Achievement` | `registerStat()`
    `Achievement` | `setSpecial()`
    `Achievement` | `setStatStringFormatter(IStatStringFormat par1IStatStringFormat)`

    - ### Methods inherited from class net.minecraft.stats.StatBase

      `equals, func_150952_k, func_150954_l, func_150955_j, func_75968_a, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### displayColumn

          public final int displayColumn

    - #### displayRow

          public final int displayRow

    - #### parentAchievement

          public final Achievement parentAchievement

    - #### theItemStack

          public final ItemStack theItemStack

  - ### Constructor Detail

    - #### Achievement

          public Achievement(java.lang.String p_i45300_1_,
                     java.lang.String p_i45300_2_,
                     int p_i45300_3_,
                     int p_i45300_4_,
                     Item p_i45300_5_,
                     Achievement p_i45300_6_)

    - #### Achievement

          public Achievement(java.lang.String p_i45301_1_,
                     java.lang.String p_i45301_2_,
                     int p_i45301_3_,
                     int p_i45301_4_,
                     Block p_i45301_5_,
                     Achievement p_i45301_6_)

    - #### Achievement

          public Achievement(java.lang.String p_i45302_1_,
                     java.lang.String p_i45302_2_,
                     int p_i45302_3_,
                     int p_i45302_4_,
                     ItemStack p_i45302_5_,
                     Achievement p_i45302_6_)

  - ### Method Detail

    - #### initIndependentStat

          public Achievement initIndependentStat()

      Overrides:
        `initIndependentStat` in class `StatBase`

    - #### setSpecial

          public Achievement setSpecial()

    - #### registerStat

          public Achievement registerStat()

      Overrides:
        `registerStat` in class `StatBase`

    - #### isAchievement

          public boolean isAchievement()

      Overrides:
        `isAchievement` in class `StatBase`

    - #### func_150951_e

          public IChatComponent func_150951_e()

      Overrides:
        `func_150951_e` in class `StatBase`

    - #### func_150953_b

          public Achievement func_150953_b(java.lang.Class p_150958_1_)

      Overrides:
        `func_150953_b` in class `StatBase`

    - #### getDescription

          public java.lang.String getDescription()

    - #### setStatStringFormatter

          public Achievement setStatStringFormatter(IStatStringFormat par1IStatStringFormat)

    - #### getSpecial

          public boolean getSpecial()